package domain


type AlibabaWdkUmsInventoryPublishApiResult struct {
    /*
        调用服务返回结果对象     */
    Model  *string `json:"model,omitempty" `

    /*
        调用服务返回错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        调用服务返回错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        调用服务返回成功失败     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkUmsInventoryPublishApiResult) SetModel(v string) *AlibabaWdkUmsInventoryPublishApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkUmsInventoryPublishApiResult) SetErrCode(v string) *AlibabaWdkUmsInventoryPublishApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkUmsInventoryPublishApiResult) SetErrMsg(v string) *AlibabaWdkUmsInventoryPublishApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkUmsInventoryPublishApiResult) SetSuccess(v bool) *AlibabaWdkUmsInventoryPublishApiResult {
    s.Success = &v
    return s
}
